<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');

?>
<script type="text/javascript">
$(document).ready(function(){
//JQuery ready is quicker than onload
$(".stripeMe tr").mouseover(function() {$(this).addClass("over");}).mouseout(function() {$(this).removeClass("over");});
$(".stripeMe tr:even").addClass("alt");
});
</script>
<div id="main_content">
<h1><em><?php echo $rubrika_naslov; ?></em></h1>


<?php
if ($prava_power_user == 1)
{ 
?>
<br />
<a class="gray_normal" href="glavna.php?modul=<?php echo $modul;?>&amp;akcija=display_kategorije&amp;id_rub=<?php echo $id_rub;?>">Uređivanje kategorija za <em><?php echo $rubrika_naslov; ?></em></a><br />
<?php
}
?>



<br />
<?php
//stranice koje se ne brišu:
$data_stranice=explode(",",$parametar_dontdel_stranice);

//kategorije u rubrici
$sql99="
SELECT 
id_kategorija,
naslov 
FROM
b7_kategorija 
WHERE 
id_rubrika='$id_rub' 
ORDER BY pozicija ASC
";
$rez99=mysql_query($sql99,$conn);
$num99=mysql_num_rows($rez99);
if ($num99>0) {
	$cur99=1;
	$kategorije_filter='';
	$display='';
	while ($num99>=$cur99) {
		$row99=mysql_fetch_array($rez99);
		$id_kategorija=$row99[0];
		$naslov_kat=$row99[1];
		//za filter
		$kategorije_filter.='<option value="'.$id_kategorija.'"';
		if ($id_kategorija==$id_kat) $kategorije_filter.=' selected="selected"';
		$kategorije_filter.='>'.$naslov_kat.'</option>'."\n";
		
		
		//kreiraj tablicu
		//izlistaj sve stranice u svim kategorijama
		if (!$id_kat || $id_kat==$id_kategorija) {
			
			
			
			if ( $id_rub != 2 ) {
			
			$sql98="
			SELECT
			id_sadrzaj, naslov, link, opis, datum, user, pozicija, vidljivost, stylesheet
			FROM
			b7_sadrzaj
			WHERE
			id_kategorija='$id_kategorija' 
			ORDER BY pozicija ASC
			";	
			
			} else {
				$sql98="
				SELECT
				id_sadrzaj, naslov, link, opis, datum, user, pozicija, vidljivost, stylesheet
				FROM
				b7_sadrzaj
				WHERE
				id_kategorija='$id_kategorija' 
				ORDER BY datum DESC, id_sadrzaj desc limit 20
				";
			}
			
			
			
			$rez98=mysql_query($sql98,$conn);
			if ($rez98) $num98=mysql_num_rows($rez98);
			if ($num98>0) {
				$cur98=1;
				
				$display.='<tr><th colspan="9"><b>Kategorija: '.$naslov_kat.'</b></th></tr>'."\n";
				$display.='<tr>'."\n";
				$display.='<th>ID</th>'."\n";
				
				if ( $id_rub != 2) {
					$display.='<th>Pozicija</th>'."\n";
				}
				
				$display.='<th>Naslov</th>'."\n";
				$display.='<th>Tip sadržaja</th>'."\n";				
				$display.='<th colspan="3">Akcija</th>'."\n";				
				$display.='<th>Datum</th>'."\n";
				$display.='</tr>'."\n";

				
				while ($num98>=$cur98) {
					$row98=mysql_fetch_array($rez98);
					$id_sadrzaj=$row98[0];
					$naslov_sadrzaj=$row98[1];
					$link=$row98[2];
					$opis=$row98[3];
					$datum=$row98[4];
					$user=$row98[5];
					$pozicija=$row98[6];
					$vidljivost=$row98[7];
					$stylesheet=$row98[8];
					
					$display.='<tr>'."\n";
					$opis=explode ("/", $row98['opis']);
					
					//id stranice
					$display.='<td>'.$row98['id_sadrzaj'];
					if ($vidljivost==0) $display.= '<span class="nevidljiv">*</span>';
					$display.='</td>'."\n";
					
					
					if ( $id_rub != 2 ) {
						//pozicija
						if ($num98>1) {
							if ($cur98==1) {
								//prva strelica	
								$display.='<td align="center"><a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_stranicu_dolje&amp;pozicija='.$row98['pozicija'].'&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kategorija.'&amp;id_str='.$row98['id_sadrzaj'].'" onMouseover="ddrivetip(\'Pomjeri stranicu <b>'.remove_quotes($row98['naslov']).'</b> dolje za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_down.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a></td>'."\n";
							} else if ($cur98==$num98) {
								//zadnja strelica
								$display.='<td align="center"><a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_stranicu_gore&amp;pozicija='.$row98['pozicija'].'&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kategorija.'&amp;id_str='.$row98['id_sadrzaj'].'" onMouseover="ddrivetip(\'Pomjeri stranicu <b>'.remove_quotes($row98['naslov']).'</b> gore za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_up.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a></td>'."\n";
							} else {
								// dvije strelice
								$display.='<td><a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_stranicu_dolje&amp;pozicija='.$row98['pozicija'].'&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kategorija.'&amp;id_str='.$row98['id_sadrzaj'].'" onMouseover="ddrivetip(\'Pomjeri stranicu <b>'.remove_quotes($row98['naslov']).'</b> dolje za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_down.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a>'."\n";
								$display.='&nbsp;&nbsp;&nbsp;';
								$display.='<a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_stranicu_gore&amp;pozicija='.$row98['pozicija'].'&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kategorija.'&amp;id_str='.$row98['id_sadrzaj'].'" onMouseover="ddrivetip(\'Pomjeri stranicu <b>'.remove_quotes($row98['naslov']).'</b> gore za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_up.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a></td>'."\n";							
							}						
						} else {
							$display.='<td>&nbsp;</td>'."\n";
						}
					}
					
					
					
					$display.='<td>'.remove_quotes($row98['naslov']).'</td>'."\n";
					
					if ($opis[0]=='#LINK' || $opis[0]=='#SUBKAT') {
						$display.='<td>'.remove_quotes($row98['link']).'</td>'."\n";
					} else {
						$display.='<td>normalni sadržaj</td>'."\n";	
					}
										
					//$display.='<td>'.$row98['stylesheet'].'</td>'."\n";
					
					//parametri
					$display.='<td><a href="glavna.php?modul='.$modul.'&amp;akcija=form_edit_stranica_parametri&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kategorija.'&amp;id_str='.$row98['id_sadrzaj'].'" onMouseover="ddrivetip(\'Promjeni uvodni tekst, sliku i parametre (naslov, link, vidljivost...) za stranicu <b>'.remove_quotes($row98['naslov']).'</b>\', 200)"; onMouseout="hideddrivetip()"><span class="parametri"><em>Uvod i parametri za stranicu</em></span></a></td>'."\n";
					
					
					
					//uredi sadržaj
					
					if ($opis[0]=='#LINK' || $opis[0]=='#SUBKAT') {
						$display.='<td>&nbsp;</td>'."\n";
					} else {
						$display.='<td><a href="glavna.php?modul='.$modul.'&amp;akcija=display_paragrafi&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kategorija.'&amp;id_str='.$row98['id_sadrzaj'].'" onMouseover="ddrivetip(\'Uređivanje sadržaja za stranicu <b>'.remove_quotes($row98['naslov']).'</b>\', 200)"; onMouseout="hideddrivetip()"><span class="uredi_sadrzaj"><em>Uređivanje sadržaja stranice</em></span></a></td>'."\n";
					}
					
					
					
					
					//brisanje
					
					$obrisi=1;					
					foreach($data_stranice as $item) 
					{
						if ($item==$row98['id_sadrzaj']) $obrisi=0;
					}
					if ($obrisi==1) 
					{
						$display.='<td><a href="glavna.php?modul='.$modul.'&amp;akcija=delete_stranica&amp;id_rub='.$id_rub.'&amp;id_kat='.$id_kategorija.'&amp;id_str='.$row98['id_sadrzaj'].'" onMouseover="ddrivetip(\'Obrišite stranicu <b>'.remove_quotes($row98['naslov']).'</b>\', 200)"; onMouseout="hideddrivetip()"><span class="delete"><em>Obriši</em></span></a></td>'."\n";
					} else {
						$display.='<td>&nbsp;</td>'."\n";
					}
					
					
					
					//zadnja promjena
					$display.='<td>';
					//$display.= $row98['user'].' - ';
					$display .= date_format(date_create($row98['datum']), 'd.m.Y').'</td>'."\n";
					$display.='</tr>'."\n";
					$cur98++;
				}	
			}
		}		
		
		
		$cur99++;
	}
}
	
?> 
<form method="post" action="glavna.php?modul=<?php echo $modul;?>&amp;akcija=display_stranice&amp;id_rub=<?php echo $id_rub;?>" enctype="multipart/form-data">
Filtriraj kategoriju:
<select name="id_kat" onChange="this.form.submit();">
<option value="0">---Sve kategorije---</option>
<?php echo $kategorije_filter;?>
</select>
</form>
<br />
<form method="post" action="glavna.php?modul=<?php echo $modul;?>&amp;akcija=form_insert_new_stranica&amp;id_rub=<?php echo $id_rub;?>" enctype="multipart/form-data">
Unos nove stranice/sadržaja u kategoriji:
<select name="id_kat">
<?php echo $kategorije_filter;?>
</select>
<?php
if ( $id_rub != 2 )
{
	?>

	&nbsp;, tip:&nbsp;&nbsp;
	<select name="tip_stranice">
	<option value="sadrzaj" selected="selected">normalni sadržaj</option>
	<option value="ext_link">eksterni link</option>
    
    
	<?php
	if ($num99>1) {
		echo '<option value="subkat_link">podlinkovi kategorije</option>'."\n";
	}
	?>
	</select>
    <?php
} else {
	?>
	<input type="hidden" name="tip_stranice" value="sadrzaj" />
	<?php
}
?>
<input type="submit" value="pošalji" />
</form>
<table class="stripeMe" cellpadding="5" cellspacing="1" border="0">
<?php
echo $display;
?>
</table>    
    
</div>